package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.FundManagerMapping1;
import com.tanpu.fund.entity.generator.FundManagerMapping1Example;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface FundManagerMapping1Mapper {
    long countByExample(FundManagerMapping1Example example);

    int deleteByExample(FundManagerMapping1Example example);

    /**
     * delete by primary key
     *
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(String id);

    /**
     * insert record to table
     *
     * @param record the record
     * @return insert count
     */
    int insert(FundManagerMapping1 record);

    int insertOrUpdate(FundManagerMapping1 record);

    int insertOrUpdateSelective(FundManagerMapping1 record);

    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(FundManagerMapping1 record);

    List<FundManagerMapping1> selectByExample(FundManagerMapping1Example example);

    /**
     * select by primary key
     *
     * @param id primary key
     * @return object by primary key
     */
    FundManagerMapping1 selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") FundManagerMapping1 record, @Param("example") FundManagerMapping1Example example);

    int updateByExample(@Param("record") FundManagerMapping1 record, @Param("example") FundManagerMapping1Example example);

    /**
     * update record selective
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(FundManagerMapping1 record);

    /**
     * update record
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(FundManagerMapping1 record);

    int updateBatch(List<FundManagerMapping1> list);

    int batchInsert(@Param("list") List<FundManagerMapping1> list);
}